#pragma once

#include <string>

#include "IAudioRender.h"

class AudioRenderStd : public IAudioRender {
public:
    enum LOG_LEVEL {
        DEBUG,
        LOG
    };
public:
    explicit AudioRenderStd() noexcept;
    ~AudioRenderStd() override = default;
    uint64 GetClock() override {
        return 0;
    }

    void WirteLog(int32 level, const std::string& log);
};

